/*  functions defined in honyakuf.c  */
int pause(int);
int isVowel(char);
void ptcpy(char [], char *, char *);
void wdcpy(char *, char *);
void cutoff(char *, int, int);
void ptcut(char *, int);
void ptptcut(char *, char *);
void insertc(char [], int, char, int);
void inserts(char [], int, char [], int);
void ptinsert(char *, char []);
void left(char [], char [], unsigned int);
void replaces(char *, int, int, char *);
void ptreplace(char *, int, char []);
void ptcons_replace(char *, int , char const []);
void right(char *, char *, int);
void mid(char [], int, int, char []);
int instr(char *, char *);
int ninstr(int, char *, char *);
int instrc(char *, char);
int ninstrc(int, char *, char);
void swap(char [], char []);
int val(char []);
int zentoint(char []);
void nzentohan(char [], char []);
void nhantozen(char [], char []);
void numbtozen(unsigned int, char []);
void numbtohan(int, char []);
void beeping(unsigned int);

/*  functions defined in jpredit.c */
void title(void);
int   spacedel(void);
void predit(char [], char[]);
void quoteMk(char []);

/*  functions defined in jdiclook.c */
int  jsymbck(char[]);
void diclook(int, char[], char[], char[], int *, char);

/*    function defined in jedcfunc.c  */
int  ptcal(char *, unsigned int *);
void dicptDta(char);
void dicptWrite(char);
int  bunkatsu(int, char[]);

/*  global functions defined in dicmain.c  */
void jedcmain(void);
void dicSetUp(void);

/*    functions defined in conj.c  */
void jishoFail(char[], char[], char[], char[], char);
void conj(char[], char[]);
int  jkatsuyou(char, char[], char[], char[]);
int  umeJukugo(char *, char[], char[]);



/*  function defined in jkakut.c   */
void  kakut(char [], char [], char [], char []);
void yakAkitume(void);

/*  function defined in tekiyak.c   */
int  tekyk(int, char [], char []);

/*  function defined in bunpo.c   */
void bunpo(void);
void akitsume(void);


/*   global functions defined in formck.c   */
void tekFormcheck(char []);
void bunFormcheck(void);

/*   functions defined in bunpcnd.c   */
char bunpcd(void);
int  wc3cal(char *, char);
int  qzck(char []);
int  plrSts(void);
int  sovck(char *, char [], char);
int  SOFPck(char, char [], char *, int, int *, int);
int  plwd(int, int);
int  Dblck(int, char [], char *);
int  washa_copy(char []);
int  ineqck(char *, char);
int  shoyuuCk(char *);
void digit_to_word(char [], char []);

/*   function defined in bunpf.c  */
void sopresv(char [], char [], int);
void washa_prs(int );
void vrpresv(int );
void minus(char *, char, int);
void add(char, int, char []);

/*   functions defined in transf.c   */
void genkei(char *);
void transf(char *);
void kanshi(char *, int, char *);

/* global function defined in katuyou.c  */
void past(char [], int, int);
void nega(char []);
void sinko(char []);
void mokuteki_kaku(char []);
void hikaku(char []);
void most(char []);

/* global function defined in posted.c  */
int  siage(char egs[]);
void yakuDisp(char [], char[], char [], char *, int, int, int);
char nextSent(char kf, char *NT, char *ZB);
